Description
The main usage for preos is getting something that can be (net)booted, gets an IPv(6,4) address and is accessible by ssh.

Modify cdist to de-generalise cdist preos:

e Accept parameter to specify public keys (and/or read from stdin)
¢ Accept parameter for OS choice: devuan, debian, alpine

History

#1 - 08/08/2019 01:11 PM - Il nu

- Status changed from New to Seen

#2 - 06/11/2020 09:35 AM - Nico Schottelius

- Assignee changed from Il nu to Darko Poljak

#3 - 06/15/2020 04:19 PM - Darko Poljak

Nico,

| am not sure | got this right.

Essentially you need some kind of a wrapper command in front of specific preos sub-command (ubuntu, devuan, debian)?
Only parameters to be set are preos type (devuan, debian) and ssh keys?

#4 - 06/15/2020 04:35 PM - Nico Schottelius

Basically the expected outcome is a pre-os image that can directly be
used to run cdist config/install.

redmine@ungleich.ch writes:

#5 - 12/07/2021 01:18 AM - Nico Schottelius

- Status changed from Seen to Rejected
